## Class Not

- java.lang.Object
- - Not

All Implemented Interfaces:
  `Cond`

    class Not
    extends java.lang.Object
    implements Cond

Represents the Not type, a conditional which inverts the given input.

### Field Summary

Fields
`private Cond` `val`

### Constructor Summary

Constructors
`Not​(Cond val)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `eval()` Evaluates the given conditional.
`Cond` `neg()` negates the value of the conditional, without evaluating it.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### val

    private Cond val

### Constructor Detail

#### Not

    public Not​(Cond val)

### Method Detail

#### eval

    public boolean eval()

Description copied from interface: `Cond`
Evaluates the given conditional.

Specified by:
  `eval` in interface `Cond`
Returns:
  the boolean result of the evaluation

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### neg

    public Cond neg()

Description copied from interface: `Cond`
negates the value of the conditional, without evaluating it.

Specified by:
  `neg` in interface `Cond`
Returns:
  a new conditional, with the negated value